using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;
using UnityEngine.UI;
public class BlueBlast : MonoBehaviour
{
    public float speed = 10f; // bryina kretanja metka
    private Text score;
    private GameObject[] enemys;
	void Awake () {
        score = GameObject.Find("Score").GetComponent<Text>();
	}
	
	// Update is called once per frame
	void Update () {
        transform.position += Vector3.up * speed * Time.deltaTime; //pozicija metka i gde da se krece
        enemys = GameObject.FindGameObjectsWithTag("enemy");
        if (enemys == null || enemys.Length == 0)
        {
            SceneManager.LoadScene("Meny");
        }
	}

    void OnBecameInvisible() // kada metak ode van main kamere
    {
        enabled = false; //ugradjena bool promenljiva koja postaje false posto dok se metak vidi ona je true
        Destroy(gameObject);//unisti objekat tj metak
    }

    // sta ce se desiti kada dodje u koliziju metak sa drugim objektom 
    void OnCollisionEnter2D(Collision2D col)
    {
        // u ovom ifu pitamo da se  objekat sa kojim je doslo do kolizije razlikuje od naseg broda
        // i kopije svakog metka koji je nas brod ispalio (ime ovo dobijate iz hijararhije kada pokrente igricu i 
        // kliknete space dugme ispisivace vam naziv) 
        if (col.gameObject.name != "Xwing_0" && col.gameObject.name != "blue_blast(Clone)" && col.gameObject.tag == "enemy")
        {
            string t = score.text;
            int x = System.Int32.Parse(t) + 1;
            t = x.ToString();
            score.text = t;
            Destroy(col.gameObject);
        }
        else if (col.gameObject.name == "db(Clone)") Destroy(gameObject); // ovaj if se dodaje kako ne bi povecavao score i kada pogodi 
        //neprijateljski metak, tada ga samo unisti


    }
}
